
body {
  margin: 0;
}

.container {
  max-width: 1170px;
  margin: 0 auto;
  padding-left: 20px;
  padding-right: 20px;
}


/* 4.1 Баннеры 1 и 2 из дизайна */

.slider__item {
  display: grid;
  justify-content: center;
}

@media(min-width: 768px) {
  .slider__item {
    grid-template-areas: '. text';
    background-position: top left;
    background-repeat: no-repeat;
    background-size: cover;
  }
}

.slider__item_blue {
  background-color: #7ae7ea;
}

@media(min-width: 768px) {
  .slider__item_blue {
    grid-template-columns: 1fr 500px;
    background-image: url("../img/slide1-bg.png");
  }
}

.slider__item_red {
  background-color: #e50136;
}

@media(min-width: 768px) {
  .slider__item_red {
    grid-template-columns: 1fr 55%;
    background-image: url("../img/slide2-bg.png");
  }
}

.slider__content {
  grid-area: text;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 35px 20px;
  font-family: "officinaserifboldcbold";
  text-align: center;
}

.slider__item_blue .slider__content {
  row-gap: 12px;
  padding-bottom: 17px;
}

.slider__item_red .slider__content {
  row-gap: 14px;
  padding-top: 40px;
  padding-bottom: 35px;
}

@media(min-width: 768px) {
  .slider__content {
    align-items: start;
    text-align: left;
  }
  
  .slider__item_blue .slider__content {
    max-width: 490px;
    row-gap: 20px;

    padding-bottom: 38px;
    padding-top: 42px;
  }

  .slider__item_red .slider__content {
    max-width: 545px;
    row-gap: 22px;
    padding-top: 40px;
    padding-bottom: 50px;
  }
}

.slider__text {
  margin: 0;
  font-size: 40px;
  line-height: 1;
}

.slider__item_blue .slider__text {
  color: #000000;
}

.slider__item_red .slider__text {
  color: #202e5c;
}

@media(min-width: 768px) {
  .slider__text {
    line-height: 47px;
  }
}

.slider__text_accent {
  display: inline-block;
  letter-spacing: -0.03em;
}

.slider__item_blue .slider__text_accent {
  margin-top: 21px;
  margin-bottom: 4px;
  padding: 0 18px;
  font-size: 60px;
  line-height: 70px;
  color: #ff4f2f;
  background-color: #ffffff;
}

@media(min-width: 768px) {
  .slider__item_blue .slider__text_accent {
    margin-top: 12px;
  }
}

.slider__item_red .slider__text_accent {
  font-size: 80px;
  line-height: 1.2;
  color: #ffffff;
}

.slider__text_normal {
  font-size: 30px;
  line-height: 34px;
  font-family: "officinasansbook";
  color: #121212;
}

.slider__button {
  display: inline-block;
  padding: 14px 26px;

  font-size: 20px;
  line-height: 1.2;
  text-decoration: none;
  color: #ffffff;
  background-color: #ff4f2f;
  border: none;
  border-radius: 33px;
  cursor: pointer;
  transition: background-color 0.1s ease-in-out ;
}

.slider__button:hover,
.slider__button:focus {
  background-color: #cd3317;
}

.slider__button:active {
  background-color: #a5240d;
}

.slider__item_blue .slider__button  {
  padding: 8px 16px;
  font-size: 14px;
}

.slider__item_red .slider__button  {
  color: #202e5c;
  background-color: #ffffff;
}

.slider__item_red .slider__button:hover,
.slider__item_red .slider__button:focus,
.slider__item_red .slider__button:active {
  background-color: #e8e8e8;
}


/* 4.2 Первый пункт в меню */

.nav_list_wrapper {
  /* любой существующий контейнер */
  margin-right: auto;
  border: 1px solid #dcdcdc;
}

@media(min-width: 768px) {
  .nav_list_wrapper {
    max-width: 245px;
  }
}

ul.nav_list {
  display: flex;
  flex-direction: column;
  margin: 0;
  padding: 0;
  width: 100%;
  list-style-type: none;

}

ul.nav_list li > a {
  display: block;
  text-decoration: none;
  padding: 3px 10px 3px 12px;
  font-size: 16px;
  line-height: 2;
  color: #27282f;
  border-bottom: 1px solid #e8e8e8;
  transition: color 0.1s, background-color 0.1s ease-in-out;
}

ul.nav_list li > a:hover,
ul.nav_list li > a:focus {
  background-color: #f0f0f0;
  color: #ff4f2f;
}

ul.nav_list li:first-child > a { /* first-child лучше заменить на класс */
  position: relative;
}

ul.nav_list li:first-child > a::after {
  content: 'new';
  position: absolute;
  top: 0;
  right: 8px;
  padding: 4px 8px;
  padding-bottom: 3px;
  font-size: 10px;
  line-height: 12px;
  text-transform: uppercase;
  color: #ffffff;
  background-color: #ff4f2f;
  border-radius: 0px 0px 8px 8px;
}


/* Базовые стили кнопки */

.shop-review__button {
  display: flex;
  justify-content: center;
  align-items: center;
  column-gap: 16px;
  padding: 12px 18px;

  font-size: 18px;
  line-height: 1.2;
  font-family: "officinaserifboldcbold";
  color: #ffffff;
  text-decoration: none;
  background-color: #61c930;
  border: none;
  border-radius: 33px;
  cursor: pointer;
  transition: background-color 0.1s ease-in-out;
}

@media(min-width: 576px) {
  .shop-review__button {
    width: auto;
    max-width: max-content;
  }
}

.shop-review__button:hover,
.shop-review__button:focus {
  background-color: #50b621;

}

.shop-review__button:active {
  background-color: #45a11b;
}


/* 4.3 Кнопка в истории покупок */

.shop-review__button_small {
  padding: 10px 14px;
  font-size: 12px;
}

/* 4.4 Кнопка На странице магазина */

.shop-review__button_with_icons {
  padding: 9px 14px;
  padding-right: 22px;
  border-radius: 67px;
}

@media(min-width: 768px) {
  .shop-review__button_with_icons {
    padding: 10px 20px;
    padding-right: 30px;
  }
}

.shop-review__button_with_icons p {
  margin: 0;
  font-size: 16px;
  line-height: 1.36;
  font-family: inherit;
}

@media(min-width: 768px) {
  .shop-review__button_with_icons p {
    font-size: 20px;
  }
}

.shop-review__button_with_icons small {
  font-size: 11px;
  font-family: 'OpenSansRegular';
}

@media(min-width: 768px) {
  .shop-review__button_with_icons small {
    font-size: 14px;
  }
}

.shop-review__button_with_icons::before,
.shop-review__button_with_icons::after {
  content: '';
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.shop-review__button_with_icons::before {
  align-self: flex-end;
  width: 37px;
  height: 37px;
  background-image: url('../img/shop-review-button-icon.svg');
}

.shop-review__button_with_icons::after {
  width: 22px;
  height: 22px;
  background-image: url('../img/arrow-in-round.svg');
}

@media(min-width: 768px) {
  .shop-review__button_with_icons::before {
    width: 41px;
    height: 41px;
  }

  .shop-review__button_with_icons::after {
    width: 26px;
    height: 26px;
  }
}


/* 4.5 Кнопка в контенте "Вывести средства" */

.shop-review__button_with-plus::before {
  content: '';
  width: 26px;
  height: 26px;
  background-image: url('../img/plus-in-round.svg');
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;

}


/* Модальное окно базовые стили */

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;
  border: 0;
  clip: rect(0 0 0 0);
  overflow: hidden;
}

.modal-container {
  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.8);
}

.modal-container-review_closed {
  display: none;
}


.modal {
  position: relative;
  box-sizing: border-box;
  margin: auto;
  padding: 20px 10px;
  background-color: #ffffff;
  border: 1px solid #c4c4c4;
}

@media(min-width: 768px) {
  .modal {
    padding: 30px 40px;
  }
}

.modal__btn-close {
  position: absolute;
  padding: 0;
  top: 0;
  right: 0;
  width: 32px;
  height: 34px;
  background-color: #ffffff;
  border: none;
  background-image: url("../img/close.svg");
  background-repeat: no-repeat;
  background-position: center;
  cursor: pointer;
} 

/* 4.6 Модальное окно формы отзыва */

.modal-review {
  width: 320px;
}

@media(min-width: 768px) {
  .modal-review {
    width: 500px;
  }
}

.modal-review .modal__content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  row-gap: 10px;
  text-align: center;
}

.modal-review__title {
  font-size: 20px;
  line-height: 22px;
  font-family: "officinaserifboldcbold";
  text-align: center;
  color: #000000;
}

.modal-review__text {
  margin: 0;
  margin-bottom: 10px;
  font-weight: 600;
  font-size: 12px;
  line-height: 16px;
  font-family: "OpenSansRegular";
  color: #27282f;
}

.review-form {
  display: flex;
  flex-direction: column;
  row-gap: 10px;
  width: 100%;
  max-width: 400px;
  
}

.review-form__field-group {
  display: flex;
  flex-direction: column;
  margin: 0;
}

.review-form__field {
  margin: 0;
  padding: 9px 16px;
  font-weight: 600;
  font-size: 12px;
  line-height: 16px;
  font-family: "OpenSansRegular";
  color: #27282f;
  background-color: #ffffff;
  border: 1px solid #c4c4c4;
}

.review-form__field:hover,
.review-form__field:focus {
  border-color: #acaaaa;
}

.review-form__field:focus {
  outline: 1px solid #acaaaa;
}

.review-form__field:disabled,
.review-form__field:disabled:hover {
  color: #979797;
  border-color: #e0dddd;
}

.review-form__field::placeholder {
  color: #979797;
}

textarea.review-form__field {
  resize: none;
}


/* 4.7 Модальное окно благодарственное сообщение */

.modal-container-success_closed {
  display: none;
}

.modal-success {
  width: 320px;
}

@media(min-width: 768px) {
  .modal-success {
    width: 500px;
    padding-left: 63px;
    padding-right: 63px;
  }
}

.modal-success .modal__content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  row-gap: 10px;
  text-align: center;
}

.modal-success__text {
  margin: 0;
  font-size: 16px;
  line-height: 18px;
  font-family: "officinaserifboldcbold";
  text-align: center;
}

.modal-success__button {
  padding: 10px 26px;
  font-size: 12px;
  line-height: 14px;
}